package nl.uvt.locator;

import javax.servlet.http.HttpServletRequest;

public class ServeData {
	String base;
	String method;
	String language;
	ServeData(){
		base = "locator";
		method = "";
		language = "nl";
	}

	public String toString(){
		String result = "base=" + base + ", method=" + method + ", language=" + language;
		return result;
	}

	public boolean parseQuery( HttpServletRequest rec ) {
		String par = rec.getParameter( "method" );
		if ( par != null && par.length() > 0 )
			method = par;
		par = rec.getParameter( "base" );
		if ( par != null && par.length() > 0 )
			base = par;
		par = rec.getParameter( "language" );
		if ( par != null && par.length() > 0 )
			language = par;
		return method.length() != 0;
	}

}
